language: cn
model_unique_abbr: dspp
version: 1.0
identification:
  docker_image_name: dspp:1.0
  model_name: 时变最短路径算法
  semantic: shortest path algorithm in deterministic discrete-time dynamic networks
  description: 基于dijkstra算法进行路径规划，为时变道路网络中的点寻找最短路径
  category_application: 处方型
  category_data:
  - 矢量线数据
  keywords:
  - 最短路径
  - 时变道路网络

parameter_info:
  parameters:
  - arg_name: networkFile
    is_single_en_dash: false
    param_type: input_data
    name: 时变道路网络数据
    description: 城市道路网络数据，数据中需包含所有路网边的起点和终点信息，以及道路上的时变信息
    data_type: csv
    data_semantic: network_data

  - arg_name: originId
    is_single_en_dash: false
    param_type: param
    name: 路径规划的起点
    description: 路径规划的起点在道路网络中的ID
    data_type: int
    data_semantic: the starting point of path planning
    specification:
      default: 1
      range:
        - "(0,)" 

  - arg_name: destinationId
    is_single_en_dash: false
    param_type: param
    name: 路径规划的终点
    description: 路径规划的终点在道路网络中的ID
    data_type: int
    data_semantic: the ending point of path planning
    specification:
      default: 938
      range:
        - "(0,)"
  - arg_name: timeInterval
    is_single_en_dash: false
    param_type: param
    name: 时间间隔
    description: timeInterval
    data_type: int
    data_semantic: the ending point of path planning
    specification:
      default: 300
      range:
        - "(0,)"
  - arg_name: departureTime
    is_single_en_dash: false
    param_type: param
    name: 离开时间
    description: 
    data_type: int
    data_semantic: departureTime
    specification:
      default: 28800
      range:
        - "(0,)"                

application:
  domain: 路径规划
  objective: 为时变道路网络中的点寻找最短路径，从而实现路径规划
  dimension:
  - 二维
  mechanism: 使用广度优先搜索的方法解决时变道路网络中的最短路径问题
operation:
  usage: 该算法需要三个参数，时变道路网络矢量数据(network_data)，起点ID(originId)，终点ID(destinationId)。
  exec_example:
  - docker run -v $(pwd):/data dspp:1.0 --networkFile /data/STDNetwork.csv --originId 1 --destinationId 937 --timeInterval 300 --departureTime 28800
  output_display:
  - 起点和终点的最短路径距离

technique:
  language:
  - Java
  os:
  - Linux
  - Windows
  dependencies:
  - name: argparse4j
    version: 0.9.0
source:
  maintainer: Zhangyu && Zhongyuxiang
  organization: Wuhan University
  contact: 9027575@qq.com
  references:
  - "CHABINI, I. and LAN, S. 2002. Adaptations of the A* algorithm for the computation of fastest paths in deterministic discrete-time dynamic networks. IEEE Transactions on Intelligent Transportation Systems, 3(1), 60-74."
